<div class="row">
  <div class="col-sm-12"
       *ngFor="let pic of pictures">
    <button class="btn btn-block btn-outline-info tile tile-picture"
            (click)="openModal(show, pic)">
      <img [src]="pic.url" style="width: 100%" alt="stored picture for fast access">
      <span class="desc">{{pic.title}}</span>
    </button>
  </div>
  <div class="col-sm-12">
    <button class="btn btn-block btn-outline-info tile tile-picture"
            (click)="openUploadModal(upload)">
      <fa-icon [icon]="faUpload"></fa-icon>
      <span class="desc">New Image</span>
    </button>
  </div>
</div>
<ng-template #upload let-modal>
  <div class="modal-header">
    <h4 class="modal-title">Upload a new picture</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form name="addMessageForm">
      <div class="form-group">
        <label for="inputTitle">Title</label>
        <input type="text" [(ngModel)]="currentTitle" class="form-control" id="inputTitle" placeholder="Our picture"
               name="title">
      </div>
      <div class="form-group">
        <label for="inputPicture">Bild</label>
        <input type="file" (change)="updateUploadFile($event)" class="form-control"
               id="inputPicture" accept="image/*" name="image">
      </div>
      <div class="form-group form-check">
        <input type="checkbox" class="form-check-input" id="checkShowOnStreamInput" [(ngModel)]="currentShowOnBeamerState" name="checkShowOnStreamInput">
        <label class="form-check-label" for="checkShowOnStreamInput">Show on stream</label>
      </div>
      <ngb-alert *ngIf="uploadingMessage" type="warning" (close)="uploadingMessage = null">{{uploadingMessage}}
      </ngb-alert>
    </form>
  </div>
  <div class="modal-footer">
    <button type="submit" class="btn btn-primary" (click)="uploadPicture(modal)">Upload file</button>
  </div>
</ng-template>

<ng-template #show let-modal>
  <div class="modal-header">
    <h4 class="modal-title">
      {{selectedPic.title}}
      <br>
      <button type="button" class="btn btn-danger btn-sm" (click)="deletePicture(selectedPic,modal)">Delete picture
      </button>
    </h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="form-group">
      <img [src]="selectedPic.url" style="width: 100%" alt="stored picture">
    </div>
    <div class="form-group form-check">
      <input type="checkbox" class="form-check-input" id="checkShowOnStream" [ngModel]="selectedPic.showOnStream"
             (change)="handleChangeShowOnBeamer(selectedPic.id, $event)">
      <label class="form-check-label" for="checkShowOnStream">Show on stream</label>
    </div>
  </div>
  <div class="modal-footer" style="justify-content: flex-start">
    <form>
      <div class="form-group">
        <label for="inputTimeout">Timeout in minutes (0 = permanently stopped)</label>
        <input type="number"
               [(ngModel)]="currentTimeout"
               name="timeout"
               class="form-control"
               id="inputTimeout">
      </div>
      <button type="button"
              class="btn btn-info"
              (click)="activatePicture(selectedPic.id,currentTimeout);modal.close('activated picture');">
        Show at beamer
      </button>
    </form>
  </div>
</ng-template>
